ApplicationLauncher.WindowMode (install4j API)
Description: declaration: package: com.install4j.api.launcher, class: ApplicationLauncher, enum: WindowMode

# Enum Class ApplicationLauncher.WindowMode

java.lang.Object
java.lang.Enum<ApplicationLauncher.WindowMode>
com.install4j.api.launcher.ApplicationLauncher.WindowMode

All Implemented Interfaces:
  `Serializable, Comparable<ApplicationLauncher.WindowMode>, Constable`

Enclosing class:
  `ApplicationLauncher`

public static enum ApplicationLauncher.WindowMode extends Enum<ApplicationLauncher.WindowMode>
Window mode for starting the application in process.

See Also:
  - `ApplicationLauncher.launchApplicationInProcess(String, String[], ApplicationLauncher.Callback, ApplicationLauncher.WindowMode, Window)`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIALOG`
  Shows the wizard in a modal dialog.
  `FRAME`
  Shows the wizard in a frame.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ApplicationLauncher.WindowMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ApplicationLauncher.WindowMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIALOG

    public static final ApplicationLauncher.WindowMode DIALOG
    Shows the wizard in a modal dialog.

  - ### FRAME

    public static final ApplicationLauncher.WindowMode FRAME
    Shows the wizard in a frame.

- ## Method Details

  - ### values

    public static ApplicationLauncher.WindowMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ApplicationLauncher.WindowMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null